
User Interface - Bug #2740

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

Focusing frame with no focusable widget causes an abend

09/29/2015 02:06 PM - Hynek Cihlar

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Eugenie Lyzenko % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 09/29/2015 02:12 PM - Hynek Cihlar

Tested on p2j trunk, revision 10940.

The failing code sample:

def frame f "Hello world!" with title "Hello title!".

view frame f.

pause.

 

To reproduce, mouse-click on the frame.

The stack trace of the abend:

Thread [main] (Suspended (exception IllegalStateException))    

    FrameGuiImpl(AbstractContainer<O>).defaultFocus() line: 217    

    FrameGuiImpl(AbstractContainer<O>).requestFocus() line: 753    

    FrameGuiImpl(Frame<O>).requestFocus() line: 1107    

    ThinClient.processProgressEvent(Event) line: 14929    

    ThinClient.processEventsWorker() line: 14479    

    ThinClient.pop() line: 13563    

    ThinClient.eventBracket(boolean, Runnable) line: 13546    

    ThinClient.eventDrawingBracket(Widget<?>, boolean, boolean, Runnable) line: 13472    

    ThinClient.applyWorker(Event) line: 13254    

    ThinClient.waitForEvent(int, boolean, boolean, boolean) line: 12584    

    ThinClient.waitForEvent(int, boolean, boolean) line: 12523    

    ThinClient.pause(int, String, boolean, Window) line: 7016    

    ThinClient.pause(int, String, boolean, int) line: 6911    

    NativeMethodAccessorImpl.invoke0(Method, Object, Object[]) line: not available [native method]    

    NativeMethodAccessorImpl.invoke(Object, Object[]) line: 62    

    DelegatingMethodAccessorImpl.invoke(Object, Object[]) line: 43    

    Method.invoke(Object, Object...) line: 497    

    MethodInvoker.invoke(Object[]) line: 76    

    Dispatcher.processInbound(InboundRequest, boolean, NetResource) line: 703    

    Conversation.block() line: 319    

    Conversation.waitMessage(int) line: 257    

    Queue.transactImpl(Message, int) line: 1128    

    Queue.transact(Message, int) line: 585    

    DirectSession(BaseSession).transact(Message, int) line: 223    

    HighLevelObject.transact(RoutingKey, Object[]) line: 163    

    RemoteObject$RemoteAccess.invokeCore(Object, Method, Object[]) line: 1425    

    RemoteObject$RemoteAccess(InvocationStub).invoke(Object, Method, Object[]) line: 97    

    $Proxy4.standardEntry(ClientParameters) line: not available    

    ClientCore.start(BootstrapConfig, boolean, boolean) line: 277    

    ClientCore.start(BootstrapConfig, boolean) line: 100    
    ClientDriver.start(BootstrapConfig) line: 201    

    ClientDriver(CommonDriver).process(String[]) line: 398    

    ClientDriver.process(String[]) line: 1    

    ClientDriver.main(String[]) line: 267    

#2 - 10/09/2015 08:59 AM - Greg Shah

- Assignee set to Eugenie Lyzenko

- Target version set to Milestone 12

#3 - 10/13/2015 03:13 PM - Greg Shah

- Status changed from New to Closed

- Start date deleted (09/29/2015)

Fixed in task branch 1811s revision 10955.

#4 - 11/10/2015 05:03 AM - Greg Shah

- % Done changed from 0 to 100

#5 - 11/16/2016 12:13 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
